/**
 * vue-sparklines v2.0.1
 * (c) 2022 tangzhen@me.com
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
var utils_index = require('./_chunks/dep-b3aeb592.js');
var props = require('./props.js');
var constant = require('./constant.js');
var utils_mean = require('./utils/mean.js');
require('./utils/min.js');
require('./utils/max.js');
require('./utils/midRange.js');
require('./utils/median.js');
require('./utils/stdev.js');
require('./utils/variance.js');
require('./utils/dataToPoints.js');
require('./utils/debounce.js');
require('./utils/genColor.js');
require('./utils/uid.js');
require('./utils/isEmpty.js');
require('@babel/runtime/helpers/defineProperty');

var RefLine = vue.defineComponent({
  inheritAttrs: false,
  props: props.refLineProps,
  render: function render() {
    var points = this.points,
        refLineType = this.refLineType,
        refLineProps = this.refLineProps,
        refLineStyles = this.refLineStyles;
    var ypoints = points.map(function (p) {
      return p.y;
    });
    var type = "mean";

    if (typeof refLineType === "string" && constant.refLineTypes.includes(refLineType)) {
      if (refLineType === "max") {
        type = "min";
      } else if (refLineType === "min") {
        type = "max";
      } else {
        type = refLineType;
      }
    }

    var y = type === "custom" ? refLineProps && refLineProps.value || utils_mean["default"](ypoints) : utils_index.utils[type](ypoints);
    refLineStyles["shape-rendering"] = "crispEdges";
    return vue.h("line", {
      style: refLineStyles,
      x1: points[0].x,
      y1: y,
      x2: points[points.length - 1].x,
      y2: y
    });
  }
});

exports["default"] = RefLine;
//# sourceMappingURL=RefLine.js.map
