/**
 * vue-sparklines v2.0.1
 * (c) 2022 tangzhen@me.com
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
var props = require('./props.js');
require('@babel/runtime/helpers/defineProperty');
require('./utils/uid.js');
require('./constant.js');

var Text = vue.defineComponent({
  name: "Text",
  inheritAttrs: false,
  props: props.textProps,
  setup: function setup(props2) {
    var sparklineText = vue.ref(null);
    vue.onMounted(function () {
      var text = sparklineText.value;
      var textBox = text && text.getBBox();

      if (textBox) {
        text.setAttribute("x", "".concat(textBox.x - textBox.width / 2));
        text.setAttribute("y", "".concat(props2.margin + textBox.height / 2));
      }
    });
  },
  render: function render() {
    var point = this.point,
        text = this.text,
        textStyles = this.textStyles;
    var x = point.x,
        y = point.y;
    return vue.h("g", [vue.h("text", {
      style: textStyles,
      x: x,
      y: y,
      ref: "sparklineText"
    }, text)]);
  }
});

exports["default"] = Text;
//# sourceMappingURL=Text.js.map
