/**
 * vue-sparklines v2.0.1
 * (c) 2022 tangzhen@me.com
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var constant = require('../constant.js');

var useStyles = function useStyles(styles) {
  var stroke = styles.stroke,
      strokeWidth = styles.strokeWidth,
      strokeLinejoin = styles.strokeLinejoin,
      strokeLinecap = styles.strokeLinecap,
      fillOpacity = styles.fillOpacity,
      fill = styles.fill;
  return {
    lineStyle: {
      stroke: stroke !== null && stroke !== void 0 ? stroke : constant.defaultLineStyle.stroke,
      strokeWidth: strokeWidth !== null && strokeWidth !== void 0 ? strokeWidth : constant.defaultLineStyle.strokeWidth,
      strokeLinejoin: strokeLinejoin !== null && strokeLinejoin !== void 0 ? strokeLinejoin : constant.defaultLineStyle.strokeLinejoin,
      strokeLinecap: strokeLinecap !== null && strokeLinecap !== void 0 ? strokeLinecap : constant.defaultLineStyle.strokeLinecap,
      fill: "none"
    },
    fillStyle: {
      stroke: stroke !== null && stroke !== void 0 ? stroke : constant.defaultFillStyle.stroke,
      strokeWidth: 0,
      fillOpacity: fillOpacity !== null && fillOpacity !== void 0 ? fillOpacity : constant.defaultFillStyle.fillOpacity,
      fill: fill !== null && fill !== void 0 ? fill : constant.defaultFillStyle.fill
    }
  };
};

exports["default"] = useStyles;
//# sourceMappingURL=useStyles.js.map
