/**
 * vue-sparklines v2.0.1
 * (c) 2022 tangzhen@me.com
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var Sparklines$1 = require('./Sparklines.js');
var Line = require('./Line.js');
var Bar = require('./Bar.js');
var Curve = require('./Curve.js');
var Pie = require('./Pie.js');
var Gradient = require('./Gradient.js');
var withInstall = require('./withInstall.js');
require('@babel/runtime/helpers/defineProperty');
require('@babel/runtime/helpers/slicedToArray');
require('vue');
require('./props.js');
require('./utils/uid.js');
require('./constant.js');
require('./utils/debounce.js');
require('./Spot.js');
require('./RefLine.js');
require('./_chunks/dep-b3aeb592.js');
require('./utils/min.js');
require('./utils/max.js');
require('./utils/mean.js');
require('./utils/midRange.js');
require('./utils/median.js');
require('./utils/stdev.js');
require('./utils/variance.js');
require('./utils/dataToPoints.js');
require('./utils/genColor.js');
require('./utils/isEmpty.js');
require('./hooks/useSpotCheck.js');
require('./Text.js');
require('./hooks/useStyles.js');
require('@babel/runtime/helpers/typeof');

var Sparklines = withInstall.withInstall(Sparklines$1["default"]);
var SparklineLine = withInstall.withInstall(Line["default"]);
var SparklineBar = withInstall.withInstall(Bar["default"]);
var SparklineCurve = withInstall.withInstall(Curve["default"]);
var SparklinePie = withInstall.withInstall(Pie["default"]);
var SparklineGradient = withInstall.withInstall(Gradient["default"]);
var index = {
  install: function install(app) {
    app.use(Sparklines);
    app.use(SparklineLine);
    app.use(SparklineBar);
    app.use(SparklineCurve);
    app.use(SparklinePie);
    app.use(SparklineGradient);
  },
  version: "2.0.1"
};

exports.SparklineBar = SparklineBar;
exports.SparklineCurve = SparklineCurve;
exports.SparklineGradient = SparklineGradient;
exports.SparklineLine = SparklineLine;
exports.SparklinePie = SparklinePie;
exports.Sparklines = Sparklines;
exports["default"] = index;
//# sourceMappingURL=index.js.map
