/**
 * vue-sparklines v2.0.1
 * (c) 2022 tangzhen@me.com
 * @license MIT
 */

import * as csstype from 'csstype';
import * as _vue_runtime_core from '@vue/runtime-core';
import * as vue from 'vue';
import { Ref, VNode, App } from 'vue';

interface SetValueArgs {
    id: string;
    color: string;
    data: number[];
    points: Point[];
    limit: number | string;
    type: string;
}
interface Point {
    x: number;
    y: number;
}
interface EventBus {
    updateValue: (value: SetValueArgs) => void;
    setStatus: (status?: boolean) => void;
    tooltip: Ref<HTMLElement | null>;
    isFocusing: Ref<boolean>;
    svgMouseEvt: Ref<boolean>;
}
interface Props {
    [key: string]: unknown;
}
interface SpotType {
    props: Props;
    items: VNode[];
    point: Point;
    i: number;
    hasSpotlight: boolean;
}
interface RefLine {
    value: number | null;
}
interface Tooltip {
    formatter: (args: unknown) => string;
}

declare const Sparklines: {
    new (...args: any[]): {
        $: vue.ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            preserveAspectRatio: string;
            margin: number;
            styles: Record<string, any>;
            indicatorStyles: boolean | Record<string, any>;
            tooltipStyles: Record<string, any>;
            tooltipDelay: number;
            width: number;
            height: number;
        }> & Omit<Readonly<vue.ExtractPropTypes<{
            preserveAspectRatio: {
                type: StringConstructor;
                default: string;
            };
            margin: {
                type: NumberConstructor;
                default: number;
            };
            styles: {
                type: ObjectConstructor;
                default: () => {};
            };
            indicatorStyles: {
                type: (ObjectConstructor | BooleanConstructor)[];
                default: () => {
                    stroke: string;
                };
            };
            tooltipProps: {
                type: vue.PropType<Tooltip>;
            };
            tooltipStyles: {
                type: ObjectConstructor;
                default: () => {
                    display: string;
                    background: string;
                    borderRadius: string;
                    minWidth: string;
                    padding: string;
                    color: string;
                    fontSize: string;
                };
            };
            tooltipDelay: {
                type: NumberConstructor;
                default: number;
            };
            width: {
                type: NumberConstructor;
                default: number;
            };
            height: {
                type: NumberConstructor;
                default: number;
            };
        }>> & vue.VNodeProps & vue.AllowedComponentProps & vue.ComponentCustomProps, "preserveAspectRatio" | "margin" | "styles" | "indicatorStyles" | "tooltipStyles" | "tooltipDelay" | "width" | "height">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: vue.Slot;
        }>;
        $root: vue.ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, vue.ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>;
        $parent: vue.ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, vue.ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>;
        $emit: (event: string, ...args: any[]) => void;
        $el: any;
        $options: vue.ComponentOptionsBase<Readonly<vue.ExtractPropTypes<{
            preserveAspectRatio: {
                type: StringConstructor;
                default: string;
            };
            margin: {
                type: NumberConstructor;
                default: number;
            };
            styles: {
                type: ObjectConstructor;
                default: () => {};
            };
            indicatorStyles: {
                type: (ObjectConstructor | BooleanConstructor)[];
                default: () => {
                    stroke: string;
                };
            };
            tooltipProps: {
                type: vue.PropType<Tooltip>;
            };
            tooltipStyles: {
                type: ObjectConstructor;
                default: () => {
                    display: string;
                    background: string;
                    borderRadius: string;
                    minWidth: string;
                    padding: string;
                    color: string;
                    fontSize: string;
                };
            };
            tooltipDelay: {
                type: NumberConstructor;
                default: number;
            };
            width: {
                type: NumberConstructor;
                default: number;
            };
            height: {
                type: NumberConstructor;
                default: number;
            };
        }>>, {
            styles: vue.ComputedRef<Record<string, any>>;
            updateData: () => boolean;
            isFocusing: vue.Ref<boolean>;
            setStatus: (status?: boolean) => void;
            tooltip: vue.Ref<HTMLElement>;
            indicator: vue.Ref<SVGGraphicsElement>;
            updateTooltip: () => boolean;
            execMouseEvt: vue.ComputedRef<boolean>;
        }, unknown, {}, {}, vue.ComponentOptionsMixin, vue.ComponentOptionsMixin, Record<string, any>, string, {
            preserveAspectRatio: string;
            margin: number;
            styles: Record<string, any>;
            indicatorStyles: boolean | Record<string, any>;
            tooltipStyles: Record<string, any>;
            tooltipDelay: number;
            width: number;
            height: number;
        }> & {
            beforeCreate?: (() => void) | (() => void)[];
            created?: (() => void) | (() => void)[];
            beforeMount?: (() => void) | (() => void)[];
            mounted?: (() => void) | (() => void)[];
            beforeUpdate?: (() => void) | (() => void)[];
            updated?: (() => void) | (() => void)[];
            activated?: (() => void) | (() => void)[];
            deactivated?: (() => void) | (() => void)[];
            beforeDestroy?: (() => void) | (() => void)[];
            beforeUnmount?: (() => void) | (() => void)[];
            destroyed?: (() => void) | (() => void)[];
            unmounted?: (() => void) | (() => void)[];
            renderTracked?: ((e: vue.DebuggerEvent) => void) | ((e: vue.DebuggerEvent) => void)[];
            renderTriggered?: ((e: vue.DebuggerEvent) => void) | ((e: vue.DebuggerEvent) => void)[];
            errorCaptured?: ((err: unknown, instance: vue.ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, vue.ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>, info: string) => boolean | void) | ((err: unknown, instance: vue.ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, vue.ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>, info: string) => boolean | void)[];
        };
        $forceUpdate: () => void;
        $nextTick: typeof vue.nextTick;
        $watch(source: string | Function, cb: Function, options?: vue.WatchOptions<boolean>): vue.WatchStopHandle;
    } & Readonly<vue.ExtractPropTypes<{
        preserveAspectRatio: {
            type: StringConstructor;
            default: string;
        };
        margin: {
            type: NumberConstructor;
            default: number;
        };
        styles: {
            type: ObjectConstructor;
            default: () => {};
        };
        indicatorStyles: {
            type: (ObjectConstructor | BooleanConstructor)[];
            default: () => {
                stroke: string;
            };
        };
        tooltipProps: {
            type: vue.PropType<Tooltip>;
        };
        tooltipStyles: {
            type: ObjectConstructor;
            default: () => {
                display: string;
                background: string;
                borderRadius: string;
                minWidth: string;
                padding: string;
                color: string;
                fontSize: string;
            };
        };
        tooltipDelay: {
            type: NumberConstructor;
            default: number;
        };
        width: {
            type: NumberConstructor;
            default: number;
        };
        height: {
            type: NumberConstructor;
            default: number;
        };
    }>> & vue.ShallowUnwrapRef<{
        styles: vue.ComputedRef<Record<string, any>>;
        updateData: () => boolean;
        isFocusing: vue.Ref<boolean>;
        setStatus: (status?: boolean) => void;
        tooltip: vue.Ref<HTMLElement>;
        indicator: vue.Ref<SVGGraphicsElement>;
        updateTooltip: () => boolean;
        execMouseEvt: vue.ComputedRef<boolean>;
    }> & {} & {} & vue.ComponentCustomProperties;
    __isFragment?: never;
    __isTeleport?: never;
    __isSuspense?: never;
} & vue.ComponentOptionsBase<Readonly<vue.ExtractPropTypes<{
    preserveAspectRatio: {
        type: StringConstructor;
        default: string;
    };
    margin: {
        type: NumberConstructor;
        default: number;
    };
    styles: {
        type: ObjectConstructor;
        default: () => {};
    };
    indicatorStyles: {
        type: (ObjectConstructor | BooleanConstructor)[];
        default: () => {
            stroke: string;
        };
    };
    tooltipProps: {
        type: vue.PropType<Tooltip>;
    };
    tooltipStyles: {
        type: ObjectConstructor;
        default: () => {
            display: string;
            background: string;
            borderRadius: string;
            minWidth: string;
            padding: string;
            color: string;
            fontSize: string;
        };
    };
    tooltipDelay: {
        type: NumberConstructor;
        default: number;
    };
    width: {
        type: NumberConstructor;
        default: number;
    };
    height: {
        type: NumberConstructor;
        default: number;
    };
}>>, {
    styles: vue.ComputedRef<Record<string, any>>;
    updateData: () => boolean;
    isFocusing: vue.Ref<boolean>;
    setStatus: (status?: boolean) => void;
    tooltip: vue.Ref<HTMLElement>;
    indicator: vue.Ref<SVGGraphicsElement>;
    updateTooltip: () => boolean;
    execMouseEvt: vue.ComputedRef<boolean>;
}, unknown, {}, {}, vue.ComponentOptionsMixin, vue.ComponentOptionsMixin, Record<string, any>, string, {
    preserveAspectRatio: string;
    margin: number;
    styles: Record<string, any>;
    indicatorStyles: boolean | Record<string, any>;
    tooltipStyles: Record<string, any>;
    tooltipDelay: number;
    width: number;
    height: number;
}> & vue.VNodeProps & vue.AllowedComponentProps & vue.ComponentCustomProps & _vue_runtime_core.Plugin;
declare const SparklineLine: {
    new (...args: any[]): {
        $: vue.ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            margin: number;
            styles: Record<string, any>;
            width: number;
            height: number;
            textStyles: Record<string, any>;
            text: string;
            refLineType: string | boolean;
            refLineStyles: Record<string, any>;
            hasSpot: boolean;
            spotlight: number | boolean;
            spotStyles: Record<string, any>;
            spotProps: Record<string, any>;
            limit: number;
        }> & Omit<Readonly<vue.ExtractPropTypes<{
            point: vue.PropType<Point>;
            margin: {
                type: NumberConstructor;
                default: number;
            };
            textStyles: {
                type: ObjectConstructor;
                default: () => {
                    fontSize: number;
                };
            };
            text: {
                type: StringConstructor;
                default: string;
            };
            points: vue.PropType<Point[]>;
            refLineType: {
                type: (StringConstructor | BooleanConstructor)[];
                default: string;
            };
            refLineStyles: {
                type: ObjectConstructor;
                default: () => {};
            };
            refLineProps: {
                type: vue.PropType<RefLine>;
            };
            hasSpot: BooleanConstructor;
            spotlight: {
                type: (NumberConstructor | BooleanConstructor)[];
                default: boolean;
            };
            spotStyles: {
                type: ObjectConstructor;
                default: () => {
                    strokeOpacity: number;
                    fillOpacity: number;
                };
            };
            spotProps: {
                type: ObjectConstructor;
                default: () => {
                    size: number;
                    spotColors: {
                        '-1': string;
                        '0': string;
                        '1': string;
                    };
                };
            };
            data: {
                type: vue.PropType<number[]>;
            };
            limit: {
                type: NumberConstructor;
                default: number;
            };
            styles: {
                type: ObjectConstructor;
                default: () => {};
            };
            max: NumberConstructor;
            min: NumberConstructor;
            width: {
                type: NumberConstructor;
                default: number;
            };
            height: {
                type: NumberConstructor;
                default: number;
            };
        }>> & vue.VNodeProps & vue.AllowedComponentProps & vue.ComponentCustomProps, "margin" | "styles" | "width" | "height" | "textStyles" | "text" | "refLineType" | "refLineStyles" | "hasSpot" | "spotlight" | "spotStyles" | "spotProps" | "limit">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: vue.Slot;
        }>;
        $root: vue.ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, vue.ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>;
        $parent: vue.ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, vue.ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>;
        $emit: (event: string, ...args: any[]) => void;
        $el: any;
        $options: vue.ComponentOptionsBase<Readonly<vue.ExtractPropTypes<{
            point: vue.PropType<Point>;
            margin: {
                type: NumberConstructor;
                default: number;
            };
            textStyles: {
                type: ObjectConstructor;
                default: () => {
                    fontSize: number;
                };
            };
            text: {
                type: StringConstructor;
                default: string;
            };
            points: vue.PropType<Point[]>;
            refLineType: {
                type: (StringConstructor | BooleanConstructor)[];
                default: string;
            };
            refLineStyles: {
                type: ObjectConstructor;
                default: () => {};
            };
            refLineProps: {
                type: vue.PropType<RefLine>;
            };
            hasSpot: BooleanConstructor;
            spotlight: {
                type: (NumberConstructor | BooleanConstructor)[];
                default: boolean;
            };
            spotStyles: {
                type: ObjectConstructor;
                default: () => {
                    strokeOpacity: number;
                    fillOpacity: number;
                };
            };
            spotProps: {
                type: ObjectConstructor;
                default: () => {
                    size: number;
                    spotColors: {
                        '-1': string;
                        '0': string;
                        '1': string;
                    };
                };
            };
            data: {
                type: vue.PropType<number[]>;
            };
            limit: {
                type: NumberConstructor;
                default: number;
            };
            styles: {
                type: ObjectConstructor;
                default: () => {};
            };
            max: NumberConstructor;
            min: NumberConstructor;
            width: {
                type: NumberConstructor;
                default: number;
            };
            height: {
                type: NumberConstructor;
                default: number;
            };
        }>>, {
            eventBus: EventBus;
            id: string;
            checkSpotType: ({ props, items, point, i, hasSpotlight }: SpotType) => boolean;
            lineStyle: {
                stroke: string;
                strokeWidth: csstype.StrokeWidthProperty<string | number>;
                strokeLinejoin: string;
                strokeLinecap: string;
                fill: string;
            };
            fillStyle: {
                stroke: string;
                strokeWidth: number;
                fillOpacity: csstype.GlobalsNumber;
                fill: string;
            };
        }, unknown, {}, {}, vue.ComponentOptionsMixin, vue.ComponentOptionsMixin, Record<string, any>, string, {
            margin: number;
            styles: Record<string, any>;
            width: number;
            height: number;
            textStyles: Record<string, any>;
            text: string;
            refLineType: string | boolean;
            refLineStyles: Record<string, any>;
            hasSpot: boolean;
            spotlight: number | boolean;
            spotStyles: Record<string, any>;
            spotProps: Record<string, any>;
            limit: number;
        }> & {
            beforeCreate?: (() => void) | (() => void)[];
            created?: (() => void) | (() => void)[];
            beforeMount?: (() => void) | (() => void)[];
            mounted?: (() => void) | (() => void)[];
            beforeUpdate?: (() => void) | (() => void)[];
            updated?: (() => void) | (() => void)[];
            activated?: (() => void) | (() => void)[];
            deactivated?: (() => void) | (() => void)[];
            beforeDestroy?: (() => void) | (() => void)[];
            beforeUnmount?: (() => void) | (() => void)[];
            destroyed?: (() => void) | (() => void)[];
            unmounted?: (() => void) | (() => void)[];
            renderTracked?: ((e: vue.DebuggerEvent) => void) | ((e: vue.DebuggerEvent) => void)[];
            renderTriggered?: ((e: vue.DebuggerEvent) => void) | ((e: vue.DebuggerEvent) => void)[];
            errorCaptured?: ((err: unknown, instance: vue.ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, vue.ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>, info: string) => boolean | void) | ((err: unknown, instance: vue.ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, vue.ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>, info: string) => boolean | void)[];
        };
        $forceUpdate: () => void;
        $nextTick: typeof vue.nextTick;
        $watch(source: string | Function, cb: Function, options?: vue.WatchOptions<boolean>): vue.WatchStopHandle;
    } & Readonly<vue.ExtractPropTypes<{
        point: vue.PropType<Point>;
        margin: {
            type: NumberConstructor;
            default: number;
        };
        textStyles: {
            type: ObjectConstructor;
            default: () => {
                fontSize: number;
            };
        };
        text: {
            type: StringConstructor;
            default: string;
        };
        points: vue.PropType<Point[]>;
        refLineType: {
            type: (StringConstructor | BooleanConstructor)[];
            default: string;
        };
        refLineStyles: {
            type: ObjectConstructor;
            default: () => {};
        };
        refLineProps: {
            type: vue.PropType<RefLine>;
        };
        hasSpot: BooleanConstructor;
        spotlight: {
            type: (NumberConstructor | BooleanConstructor)[];
            default: boolean;
        };
        spotStyles: {
            type: ObjectConstructor;
            default: () => {
                strokeOpacity: number;
                fillOpacity: number;
            };
        };
        spotProps: {
            type: ObjectConstructor;
            default: () => {
                size: number;
                spotColors: {
                    '-1': string;
                    '0': string;
                    '1': string;
                };
            };
        };
        data: {
            type: vue.PropType<number[]>;
        };
        limit: {
            type: NumberConstructor;
            default: number;
        };
        styles: {
            type: ObjectConstructor;
            default: () => {};
        };
        max: NumberConstructor;
        min: NumberConstructor;
        width: {
            type: NumberConstructor;
            default: number;
        };
        height: {
            type: NumberConstructor;
            default: number;
        };
    }>> & vue.ShallowUnwrapRef<{
        eventBus: EventBus;
        id: string;
        checkSpotType: ({ props, items, point, i, hasSpotlight }: SpotType) => boolean;
        lineStyle: {
            stroke: string;
            strokeWidth: csstype.StrokeWidthProperty<string | number>;
            strokeLinejoin: string;
            strokeLinecap: string;
            fill: string;
        };
        fillStyle: {
            stroke: string;
            strokeWidth: number;
            fillOpacity: csstype.GlobalsNumber;
            fill: string;
        };
    }> & {} & {} & vue.ComponentCustomProperties;
    __isFragment?: never;
    __isTeleport?: never;
    __isSuspense?: never;
} & vue.ComponentOptionsBase<Readonly<vue.ExtractPropTypes<{
    point: vue.PropType<Point>;
    margin: {
        type: NumberConstructor;
        default: number;
    };
    textStyles: {
        type: ObjectConstructor;
        default: () => {
            fontSize: number;
        };
    };
    text: {
        type: StringConstructor;
        default: string;
    };
    points: vue.PropType<Point[]>;
    refLineType: {
        type: (StringConstructor | BooleanConstructor)[];
        default: string;
    };
    refLineStyles: {
        type: ObjectConstructor;
        default: () => {};
    };
    refLineProps: {
        type: vue.PropType<RefLine>;
    };
    hasSpot: BooleanConstructor;
    spotlight: {
        type: (NumberConstructor | BooleanConstructor)[];
        default: boolean;
    };
    spotStyles: {
        type: ObjectConstructor;
        default: () => {
            strokeOpacity: number;
            fillOpacity: number;
        };
    };
    spotProps: {
        type: ObjectConstructor;
        default: () => {
            size: number;
            spotColors: {
                '-1': string;
                '0': string;
                '1': string;
            };
        };
    };
    data: {
        type: vue.PropType<number[]>;
    };
    limit: {
        type: NumberConstructor;
        default: number;
    };
    styles: {
        type: ObjectConstructor;
        default: () => {};
    };
    max: NumberConstructor;
    min: NumberConstructor;
    width: {
        type: NumberConstructor;
        default: number;
    };
    height: {
        type: NumberConstructor;
        default: number;
    };
}>>, {
    eventBus: EventBus;
    id: string;
    checkSpotType: ({ props, items, point, i, hasSpotlight }: SpotType) => boolean;
    lineStyle: {
        stroke: string;
        strokeWidth: csstype.StrokeWidthProperty<string | number>;
        strokeLinejoin: string;
        strokeLinecap: string;
        fill: string;
    };
    fillStyle: {
        stroke: string;
        strokeWidth: number;
        fillOpacity: csstype.GlobalsNumber;
        fill: string;
    };
}, unknown, {}, {}, vue.ComponentOptionsMixin, vue.ComponentOptionsMixin, Record<string, any>, string, {
    margin: number;
    styles: Record<string, any>;
    width: number;
    height: number;
    textStyles: Record<string, any>;
    text: string;
    refLineType: string | boolean;
    refLineStyles: Record<string, any>;
    hasSpot: boolean;
    spotlight: number | boolean;
    spotStyles: Record<string, any>;
    spotProps: Record<string, any>;
    limit: number;
}> & vue.VNodeProps & vue.AllowedComponentProps & vue.ComponentCustomProps & _vue_runtime_core.Plugin;
declare const SparklineBar: {
    new (...args: any[]): {
        $: vue.ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            margin: number;
            styles: Record<string, any>;
            width: number;
            height: number;
            refLineType: string | boolean;
            refLineStyles: Record<string, any>;
            limit: number;
        }> & Omit<Readonly<vue.ExtractPropTypes<{
            points: vue.PropType<Point[]>;
            refLineType: {
                type: (StringConstructor | BooleanConstructor)[];
                default: string;
            };
            refLineStyles: {
                type: ObjectConstructor;
                default: () => {};
            };
            refLineProps: {
                type: vue.PropType<RefLine>;
            };
            data: {
                type: vue.PropType<number[]>;
            };
            limit: {
                type: NumberConstructor;
                default: number;
            };
            margin: {
                type: NumberConstructor;
                default: number;
            };
            styles: {
                type: ObjectConstructor;
                default: () => {};
            };
            max: NumberConstructor;
            min: NumberConstructor;
            width: {
                type: NumberConstructor;
                default: number;
            };
            height: {
                type: NumberConstructor;
                default: number;
            };
        }>> & vue.VNodeProps & vue.AllowedComponentProps & vue.ComponentCustomProps, "margin" | "styles" | "width" | "height" | "refLineType" | "refLineStyles" | "limit">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: vue.Slot;
        }>;
        $root: vue.ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, vue.ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>;
        $parent: vue.ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, vue.ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>;
        $emit: (event: string, ...args: any[]) => void;
        $el: any;
        $options: vue.ComponentOptionsBase<Readonly<vue.ExtractPropTypes<{
            points: vue.PropType<Point[]>;
            refLineType: {
                type: (StringConstructor | BooleanConstructor)[];
                default: string;
            };
            refLineStyles: {
                type: ObjectConstructor;
                default: () => {};
            };
            refLineProps: {
                type: vue.PropType<RefLine>;
            };
            data: {
                type: vue.PropType<number[]>;
            };
            limit: {
                type: NumberConstructor;
                default: number;
            };
            margin: {
                type: NumberConstructor;
                default: number;
            };
            styles: {
                type: ObjectConstructor;
                default: () => {};
            };
            max: NumberConstructor;
            min: NumberConstructor;
            width: {
                type: NumberConstructor;
                default: number;
            };
            height: {
                type: NumberConstructor;
                default: number;
            };
        }>>, {
            eventBus: EventBus;
            id: string;
        }, unknown, {}, {}, vue.ComponentOptionsMixin, vue.ComponentOptionsMixin, Record<string, any>, string, {
            margin: number;
            styles: Record<string, any>;
            width: number;
            height: number;
            refLineType: string | boolean;
            refLineStyles: Record<string, any>;
            limit: number;
        }> & {
            beforeCreate?: (() => void) | (() => void)[];
            created?: (() => void) | (() => void)[];
            beforeMount?: (() => void) | (() => void)[];
            mounted?: (() => void) | (() => void)[];
            beforeUpdate?: (() => void) | (() => void)[];
            updated?: (() => void) | (() => void)[];
            activated?: (() => void) | (() => void)[];
            deactivated?: (() => void) | (() => void)[];
            beforeDestroy?: (() => void) | (() => void)[];
            beforeUnmount?: (() => void) | (() => void)[];
            destroyed?: (() => void) | (() => void)[];
            unmounted?: (() => void) | (() => void)[];
            renderTracked?: ((e: vue.DebuggerEvent) => void) | ((e: vue.DebuggerEvent) => void)[];
            renderTriggered?: ((e: vue.DebuggerEvent) => void) | ((e: vue.DebuggerEvent) => void)[];
            errorCaptured?: ((err: unknown, instance: vue.ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, vue.ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>, info: string) => boolean | void) | ((err: unknown, instance: vue.ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, vue.ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>, info: string) => boolean | void)[];
        };
        $forceUpdate: () => void;
        $nextTick: typeof vue.nextTick;
        $watch(source: string | Function, cb: Function, options?: vue.WatchOptions<boolean>): vue.WatchStopHandle;
    } & Readonly<vue.ExtractPropTypes<{
        points: vue.PropType<Point[]>;
        refLineType: {
            type: (StringConstructor | BooleanConstructor)[];
            default: string;
        };
        refLineStyles: {
            type: ObjectConstructor;
            default: () => {};
        };
        refLineProps: {
            type: vue.PropType<RefLine>;
        };
        data: {
            type: vue.PropType<number[]>;
        };
        limit: {
            type: NumberConstructor;
            default: number;
        };
        margin: {
            type: NumberConstructor;
            default: number;
        };
        styles: {
            type: ObjectConstructor;
            default: () => {};
        };
        max: NumberConstructor;
        min: NumberConstructor;
        width: {
            type: NumberConstructor;
            default: number;
        };
        height: {
            type: NumberConstructor;
            default: number;
        };
    }>> & vue.ShallowUnwrapRef<{
        eventBus: EventBus;
        id: string;
    }> & {} & {} & vue.ComponentCustomProperties;
    __isFragment?: never;
    __isTeleport?: never;
    __isSuspense?: never;
} & vue.ComponentOptionsBase<Readonly<vue.ExtractPropTypes<{
    points: vue.PropType<Point[]>;
    refLineType: {
        type: (StringConstructor | BooleanConstructor)[];
        default: string;
    };
    refLineStyles: {
        type: ObjectConstructor;
        default: () => {};
    };
    refLineProps: {
        type: vue.PropType<RefLine>;
    };
    data: {
        type: vue.PropType<number[]>;
    };
    limit: {
        type: NumberConstructor;
        default: number;
    };
    margin: {
        type: NumberConstructor;
        default: number;
    };
    styles: {
        type: ObjectConstructor;
        default: () => {};
    };
    max: NumberConstructor;
    min: NumberConstructor;
    width: {
        type: NumberConstructor;
        default: number;
    };
    height: {
        type: NumberConstructor;
        default: number;
    };
}>>, {
    eventBus: EventBus;
    id: string;
}, unknown, {}, {}, vue.ComponentOptionsMixin, vue.ComponentOptionsMixin, Record<string, any>, string, {
    margin: number;
    styles: Record<string, any>;
    width: number;
    height: number;
    refLineType: string | boolean;
    refLineStyles: Record<string, any>;
    limit: number;
}> & vue.VNodeProps & vue.AllowedComponentProps & vue.ComponentCustomProps & _vue_runtime_core.Plugin;
declare const SparklineCurve: {
    new (...args: any[]): {
        $: vue.ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            margin: number;
            styles: Record<string, any>;
            width: number;
            height: number;
            textStyles: Record<string, any>;
            text: string;
            refLineType: string | boolean;
            refLineStyles: Record<string, any>;
            hasSpot: boolean;
            spotlight: number | boolean;
            spotStyles: Record<string, any>;
            spotProps: Record<string, any>;
            limit: number;
            divisor: number;
        }> & Omit<Readonly<vue.ExtractPropTypes<{
            divisor: {
                type: NumberConstructor;
                default: number;
            };
            point: vue.PropType<Point>;
            margin: {
                type: NumberConstructor;
                default: number;
            };
            textStyles: {
                type: ObjectConstructor;
                default: () => {
                    fontSize: number;
                };
            };
            text: {
                type: StringConstructor;
                default: string;
            };
            points: vue.PropType<Point[]>;
            refLineType: {
                type: (StringConstructor | BooleanConstructor)[];
                default: string;
            };
            refLineStyles: {
                type: ObjectConstructor;
                default: () => {};
            };
            refLineProps: {
                type: vue.PropType<RefLine>;
            };
            hasSpot: BooleanConstructor;
            spotlight: {
                type: (NumberConstructor | BooleanConstructor)[];
                default: boolean;
            };
            spotStyles: {
                type: ObjectConstructor;
                default: () => {
                    strokeOpacity: number;
                    fillOpacity: number;
                };
            };
            spotProps: {
                type: ObjectConstructor;
                default: () => {
                    size: number;
                    spotColors: {
                        '-1': string;
                        '0': string;
                        '1': string;
                    };
                };
            };
            data: {
                type: vue.PropType<number[]>;
            };
            limit: {
                type: NumberConstructor;
                default: number;
            };
            styles: {
                type: ObjectConstructor;
                default: () => {};
            };
            max: NumberConstructor;
            min: NumberConstructor;
            width: {
                type: NumberConstructor;
                default: number;
            };
            height: {
                type: NumberConstructor;
                default: number;
            };
        }>> & vue.VNodeProps & vue.AllowedComponentProps & vue.ComponentCustomProps, "margin" | "styles" | "width" | "height" | "textStyles" | "text" | "refLineType" | "refLineStyles" | "hasSpot" | "spotlight" | "spotStyles" | "spotProps" | "limit" | "divisor">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: vue.Slot;
        }>;
        $root: vue.ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, vue.ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>;
        $parent: vue.ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, vue.ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>;
        $emit: (event: string, ...args: any[]) => void;
        $el: any;
        $options: vue.ComponentOptionsBase<Readonly<vue.ExtractPropTypes<{
            divisor: {
                type: NumberConstructor;
                default: number;
            };
            point: vue.PropType<Point>;
            margin: {
                type: NumberConstructor;
                default: number;
            };
            textStyles: {
                type: ObjectConstructor;
                default: () => {
                    fontSize: number;
                };
            };
            text: {
                type: StringConstructor;
                default: string;
            };
            points: vue.PropType<Point[]>;
            refLineType: {
                type: (StringConstructor | BooleanConstructor)[];
                default: string;
            };
            refLineStyles: {
                type: ObjectConstructor;
                default: () => {};
            };
            refLineProps: {
                type: vue.PropType<RefLine>;
            };
            hasSpot: BooleanConstructor;
            spotlight: {
                type: (NumberConstructor | BooleanConstructor)[];
                default: boolean;
            };
            spotStyles: {
                type: ObjectConstructor;
                default: () => {
                    strokeOpacity: number;
                    fillOpacity: number;
                };
            };
            spotProps: {
                type: ObjectConstructor;
                default: () => {
                    size: number;
                    spotColors: {
                        '-1': string;
                        '0': string;
                        '1': string;
                    };
                };
            };
            data: {
                type: vue.PropType<number[]>;
            };
            limit: {
                type: NumberConstructor;
                default: number;
            };
            styles: {
                type: ObjectConstructor;
                default: () => {};
            };
            max: NumberConstructor;
            min: NumberConstructor;
            width: {
                type: NumberConstructor;
                default: number;
            };
            height: {
                type: NumberConstructor;
                default: number;
            };
        }>>, {
            eventBus: EventBus;
            id: string;
            checkSpotType: ({ props, items, point, i, hasSpotlight }: SpotType) => boolean;
            lineStyle: {
                stroke: string;
                strokeWidth: csstype.StrokeWidthProperty<string | number>;
                strokeLinejoin: string;
                strokeLinecap: string;
                fill: string;
            };
            fillStyle: {
                stroke: string;
                strokeWidth: number;
                fillOpacity: csstype.GlobalsNumber;
                fill: string;
            };
        }, unknown, {}, {}, vue.ComponentOptionsMixin, vue.ComponentOptionsMixin, Record<string, any>, string, {
            margin: number;
            styles: Record<string, any>;
            width: number;
            height: number;
            textStyles: Record<string, any>;
            text: string;
            refLineType: string | boolean;
            refLineStyles: Record<string, any>;
            hasSpot: boolean;
            spotlight: number | boolean;
            spotStyles: Record<string, any>;
            spotProps: Record<string, any>;
            limit: number;
            divisor: number;
        }> & {
            beforeCreate?: (() => void) | (() => void)[];
            created?: (() => void) | (() => void)[];
            beforeMount?: (() => void) | (() => void)[];
            mounted?: (() => void) | (() => void)[];
            beforeUpdate?: (() => void) | (() => void)[];
            updated?: (() => void) | (() => void)[];
            activated?: (() => void) | (() => void)[];
            deactivated?: (() => void) | (() => void)[];
            beforeDestroy?: (() => void) | (() => void)[];
            beforeUnmount?: (() => void) | (() => void)[];
            destroyed?: (() => void) | (() => void)[];
            unmounted?: (() => void) | (() => void)[];
            renderTracked?: ((e: vue.DebuggerEvent) => void) | ((e: vue.DebuggerEvent) => void)[];
            renderTriggered?: ((e: vue.DebuggerEvent) => void) | ((e: vue.DebuggerEvent) => void)[];
            errorCaptured?: ((err: unknown, instance: vue.ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, vue.ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>, info: string) => boolean | void) | ((err: unknown, instance: vue.ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, vue.ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>, info: string) => boolean | void)[];
        };
        $forceUpdate: () => void;
        $nextTick: typeof vue.nextTick;
        $watch(source: string | Function, cb: Function, options?: vue.WatchOptions<boolean>): vue.WatchStopHandle;
    } & Readonly<vue.ExtractPropTypes<{
        divisor: {
            type: NumberConstructor;
            default: number;
        };
        point: vue.PropType<Point>;
        margin: {
            type: NumberConstructor;
            default: number;
        };
        textStyles: {
            type: ObjectConstructor;
            default: () => {
                fontSize: number;
            };
        };
        text: {
            type: StringConstructor;
            default: string;
        };
        points: vue.PropType<Point[]>;
        refLineType: {
            type: (StringConstructor | BooleanConstructor)[];
            default: string;
        };
        refLineStyles: {
            type: ObjectConstructor;
            default: () => {};
        };
        refLineProps: {
            type: vue.PropType<RefLine>;
        };
        hasSpot: BooleanConstructor;
        spotlight: {
            type: (NumberConstructor | BooleanConstructor)[];
            default: boolean;
        };
        spotStyles: {
            type: ObjectConstructor;
            default: () => {
                strokeOpacity: number;
                fillOpacity: number;
            };
        };
        spotProps: {
            type: ObjectConstructor;
            default: () => {
                size: number;
                spotColors: {
                    '-1': string;
                    '0': string;
                    '1': string;
                };
            };
        };
        data: {
            type: vue.PropType<number[]>;
        };
        limit: {
            type: NumberConstructor;
            default: number;
        };
        styles: {
            type: ObjectConstructor;
            default: () => {};
        };
        max: NumberConstructor;
        min: NumberConstructor;
        width: {
            type: NumberConstructor;
            default: number;
        };
        height: {
            type: NumberConstructor;
            default: number;
        };
    }>> & vue.ShallowUnwrapRef<{
        eventBus: EventBus;
        id: string;
        checkSpotType: ({ props, items, point, i, hasSpotlight }: SpotType) => boolean;
        lineStyle: {
            stroke: string;
            strokeWidth: csstype.StrokeWidthProperty<string | number>;
            strokeLinejoin: string;
            strokeLinecap: string;
            fill: string;
        };
        fillStyle: {
            stroke: string;
            strokeWidth: number;
            fillOpacity: csstype.GlobalsNumber;
            fill: string;
        };
    }> & {} & {} & vue.ComponentCustomProperties;
    __isFragment?: never;
    __isTeleport?: never;
    __isSuspense?: never;
} & vue.ComponentOptionsBase<Readonly<vue.ExtractPropTypes<{
    divisor: {
        type: NumberConstructor;
        default: number;
    };
    point: vue.PropType<Point>;
    margin: {
        type: NumberConstructor;
        default: number;
    };
    textStyles: {
        type: ObjectConstructor;
        default: () => {
            fontSize: number;
        };
    };
    text: {
        type: StringConstructor;
        default: string;
    };
    points: vue.PropType<Point[]>;
    refLineType: {
        type: (StringConstructor | BooleanConstructor)[];
        default: string;
    };
    refLineStyles: {
        type: ObjectConstructor;
        default: () => {};
    };
    refLineProps: {
        type: vue.PropType<RefLine>;
    };
    hasSpot: BooleanConstructor;
    spotlight: {
        type: (NumberConstructor | BooleanConstructor)[];
        default: boolean;
    };
    spotStyles: {
        type: ObjectConstructor;
        default: () => {
            strokeOpacity: number;
            fillOpacity: number;
        };
    };
    spotProps: {
        type: ObjectConstructor;
        default: () => {
            size: number;
            spotColors: {
                '-1': string;
                '0': string;
                '1': string;
            };
        };
    };
    data: {
        type: vue.PropType<number[]>;
    };
    limit: {
        type: NumberConstructor;
        default: number;
    };
    styles: {
        type: ObjectConstructor;
        default: () => {};
    };
    max: NumberConstructor;
    min: NumberConstructor;
    width: {
        type: NumberConstructor;
        default: number;
    };
    height: {
        type: NumberConstructor;
        default: number;
    };
}>>, {
    eventBus: EventBus;
    id: string;
    checkSpotType: ({ props, items, point, i, hasSpotlight }: SpotType) => boolean;
    lineStyle: {
        stroke: string;
        strokeWidth: csstype.StrokeWidthProperty<string | number>;
        strokeLinejoin: string;
        strokeLinecap: string;
        fill: string;
    };
    fillStyle: {
        stroke: string;
        strokeWidth: number;
        fillOpacity: csstype.GlobalsNumber;
        fill: string;
    };
}, unknown, {}, {}, vue.ComponentOptionsMixin, vue.ComponentOptionsMixin, Record<string, any>, string, {
    margin: number;
    styles: Record<string, any>;
    width: number;
    height: number;
    textStyles: Record<string, any>;
    text: string;
    refLineType: string | boolean;
    refLineStyles: Record<string, any>;
    hasSpot: boolean;
    spotlight: number | boolean;
    spotStyles: Record<string, any>;
    spotProps: Record<string, any>;
    limit: number;
    divisor: number;
}> & vue.VNodeProps & vue.AllowedComponentProps & vue.ComponentCustomProps & _vue_runtime_core.Plugin;
declare const SparklinePie: {
    new (...args: any[]): {
        $: vue.ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            preserveAspectRatio: string;
            margin: number;
            styles: Record<string, any>;
            indicatorStyles: boolean | Record<string, any>;
            tooltipStyles: Record<string, any>;
            tooltipDelay: number;
            width: number;
            height: number;
            align: string;
        }> & Omit<Readonly<vue.ExtractPropTypes<{
            data: {
                type: vue.PropType<number[]>;
            };
            align: {
                type: StringConstructor;
                default: string;
            };
            preserveAspectRatio: {
                type: StringConstructor;
                default: string;
            };
            margin: {
                type: NumberConstructor;
                default: number;
            };
            styles: {
                type: ObjectConstructor;
                default: () => {};
            };
            indicatorStyles: {
                type: (ObjectConstructor | BooleanConstructor)[];
                default: () => {
                    stroke: string;
                };
            };
            tooltipProps: {
                type: vue.PropType<Tooltip>;
            };
            tooltipStyles: {
                type: ObjectConstructor;
                default: () => {
                    display: string;
                    background: string;
                    borderRadius: string;
                    minWidth: string;
                    padding: string;
                    color: string;
                    fontSize: string;
                };
            };
            tooltipDelay: {
                type: NumberConstructor;
                default: number;
            };
            width: {
                type: NumberConstructor;
                default: number;
            };
            height: {
                type: NumberConstructor;
                default: number;
            };
        }>> & vue.VNodeProps & vue.AllowedComponentProps & vue.ComponentCustomProps, "preserveAspectRatio" | "margin" | "styles" | "indicatorStyles" | "tooltipStyles" | "tooltipDelay" | "width" | "height" | "align">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: vue.Slot;
        }>;
        $root: vue.ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, vue.ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>;
        $parent: vue.ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, vue.ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>;
        $emit: (event: string, ...args: any[]) => void;
        $el: any;
        $options: vue.ComponentOptionsBase<Readonly<vue.ExtractPropTypes<{
            data: {
                type: vue.PropType<number[]>;
            };
            align: {
                type: StringConstructor;
                default: string;
            };
            preserveAspectRatio: {
                type: StringConstructor;
                default: string;
            };
            margin: {
                type: NumberConstructor;
                default: number;
            };
            styles: {
                type: ObjectConstructor;
                default: () => {};
            };
            indicatorStyles: {
                type: (ObjectConstructor | BooleanConstructor)[];
                default: () => {
                    stroke: string;
                };
            };
            tooltipProps: {
                type: vue.PropType<Tooltip>;
            };
            tooltipStyles: {
                type: ObjectConstructor;
                default: () => {
                    display: string;
                    background: string;
                    borderRadius: string;
                    minWidth: string;
                    padding: string;
                    color: string;
                    fontSize: string;
                };
            };
            tooltipDelay: {
                type: NumberConstructor;
                default: number;
            };
            width: {
                type: NumberConstructor;
                default: number;
            };
            height: {
                type: NumberConstructor;
                default: number;
            };
        }>>, {
            eventBus: EventBus;
            updateTooltip: (evt: MouseEvent, value: number, color: string) => void;
        }, unknown, {}, {}, vue.ComponentOptionsMixin, vue.ComponentOptionsMixin, Record<string, any>, string, {
            preserveAspectRatio: string;
            margin: number;
            styles: Record<string, any>;
            indicatorStyles: boolean | Record<string, any>;
            tooltipStyles: Record<string, any>;
            tooltipDelay: number;
            width: number;
            height: number;
            align: string;
        }> & {
            beforeCreate?: (() => void) | (() => void)[];
            created?: (() => void) | (() => void)[];
            beforeMount?: (() => void) | (() => void)[];
            mounted?: (() => void) | (() => void)[];
            beforeUpdate?: (() => void) | (() => void)[];
            updated?: (() => void) | (() => void)[];
            activated?: (() => void) | (() => void)[];
            deactivated?: (() => void) | (() => void)[];
            beforeDestroy?: (() => void) | (() => void)[];
            beforeUnmount?: (() => void) | (() => void)[];
            destroyed?: (() => void) | (() => void)[];
            unmounted?: (() => void) | (() => void)[];
            renderTracked?: ((e: vue.DebuggerEvent) => void) | ((e: vue.DebuggerEvent) => void)[];
            renderTriggered?: ((e: vue.DebuggerEvent) => void) | ((e: vue.DebuggerEvent) => void)[];
            errorCaptured?: ((err: unknown, instance: vue.ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, vue.ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>, info: string) => boolean | void) | ((err: unknown, instance: vue.ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, vue.ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>, info: string) => boolean | void)[];
        };
        $forceUpdate: () => void;
        $nextTick: typeof vue.nextTick;
        $watch(source: string | Function, cb: Function, options?: vue.WatchOptions<boolean>): vue.WatchStopHandle;
    } & Readonly<vue.ExtractPropTypes<{
        data: {
            type: vue.PropType<number[]>;
        };
        align: {
            type: StringConstructor;
            default: string;
        };
        preserveAspectRatio: {
            type: StringConstructor;
            default: string;
        };
        margin: {
            type: NumberConstructor;
            default: number;
        };
        styles: {
            type: ObjectConstructor;
            default: () => {};
        };
        indicatorStyles: {
            type: (ObjectConstructor | BooleanConstructor)[];
            default: () => {
                stroke: string;
            };
        };
        tooltipProps: {
            type: vue.PropType<Tooltip>;
        };
        tooltipStyles: {
            type: ObjectConstructor;
            default: () => {
                display: string;
                background: string;
                borderRadius: string;
                minWidth: string;
                padding: string;
                color: string;
                fontSize: string;
            };
        };
        tooltipDelay: {
            type: NumberConstructor;
            default: number;
        };
        width: {
            type: NumberConstructor;
            default: number;
        };
        height: {
            type: NumberConstructor;
            default: number;
        };
    }>> & vue.ShallowUnwrapRef<{
        eventBus: EventBus;
        updateTooltip: (evt: MouseEvent, value: number, color: string) => void;
    }> & {} & {} & vue.ComponentCustomProperties;
    __isFragment?: never;
    __isTeleport?: never;
    __isSuspense?: never;
} & vue.ComponentOptionsBase<Readonly<vue.ExtractPropTypes<{
    data: {
        type: vue.PropType<number[]>;
    };
    align: {
        type: StringConstructor;
        default: string;
    };
    preserveAspectRatio: {
        type: StringConstructor;
        default: string;
    };
    margin: {
        type: NumberConstructor;
        default: number;
    };
    styles: {
        type: ObjectConstructor;
        default: () => {};
    };
    indicatorStyles: {
        type: (ObjectConstructor | BooleanConstructor)[];
        default: () => {
            stroke: string;
        };
    };
    tooltipProps: {
        type: vue.PropType<Tooltip>;
    };
    tooltipStyles: {
        type: ObjectConstructor;
        default: () => {
            display: string;
            background: string;
            borderRadius: string;
            minWidth: string;
            padding: string;
            color: string;
            fontSize: string;
        };
    };
    tooltipDelay: {
        type: NumberConstructor;
        default: number;
    };
    width: {
        type: NumberConstructor;
        default: number;
    };
    height: {
        type: NumberConstructor;
        default: number;
    };
}>>, {
    eventBus: EventBus;
    updateTooltip: (evt: MouseEvent, value: number, color: string) => void;
}, unknown, {}, {}, vue.ComponentOptionsMixin, vue.ComponentOptionsMixin, Record<string, any>, string, {
    preserveAspectRatio: string;
    margin: number;
    styles: Record<string, any>;
    indicatorStyles: boolean | Record<string, any>;
    tooltipStyles: Record<string, any>;
    tooltipDelay: number;
    width: number;
    height: number;
    align: string;
}> & vue.VNodeProps & vue.AllowedComponentProps & vue.ComponentCustomProps & _vue_runtime_core.Plugin;
declare const SparklineGradient: {
    new (...args: any[]): {
        $: vue.ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            id: string;
        }> & Omit<Readonly<vue.ExtractPropTypes<{
            gradient: {
                type: vue.PropType<string[]>;
            };
            id: {
                type: StringConstructor;
                default: string;
            };
        }>> & vue.VNodeProps & vue.AllowedComponentProps & vue.ComponentCustomProps, "id">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: vue.Slot;
        }>;
        $root: vue.ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, vue.ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>;
        $parent: vue.ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, vue.ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>;
        $emit: (event: string, ...args: any[]) => void;
        $el: any;
        $options: vue.ComponentOptionsBase<Readonly<vue.ExtractPropTypes<{
            gradient: {
                type: vue.PropType<string[]>;
            };
            id: {
                type: StringConstructor;
                default: string;
            };
        }>>, unknown, unknown, {}, {}, vue.ComponentOptionsMixin, vue.ComponentOptionsMixin, Record<string, any>, string, {
            id: string;
        }> & {
            beforeCreate?: (() => void) | (() => void)[];
            created?: (() => void) | (() => void)[];
            beforeMount?: (() => void) | (() => void)[];
            mounted?: (() => void) | (() => void)[];
            beforeUpdate?: (() => void) | (() => void)[];
            updated?: (() => void) | (() => void)[];
            activated?: (() => void) | (() => void)[];
            deactivated?: (() => void) | (() => void)[];
            beforeDestroy?: (() => void) | (() => void)[];
            beforeUnmount?: (() => void) | (() => void)[];
            destroyed?: (() => void) | (() => void)[];
            unmounted?: (() => void) | (() => void)[];
            renderTracked?: ((e: vue.DebuggerEvent) => void) | ((e: vue.DebuggerEvent) => void)[];
            renderTriggered?: ((e: vue.DebuggerEvent) => void) | ((e: vue.DebuggerEvent) => void)[];
            errorCaptured?: ((err: unknown, instance: vue.ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, vue.ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>, info: string) => boolean | void) | ((err: unknown, instance: vue.ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, vue.ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>, info: string) => boolean | void)[];
        };
        $forceUpdate: () => void;
        $nextTick: typeof vue.nextTick;
        $watch(source: string | Function, cb: Function, options?: vue.WatchOptions<boolean>): vue.WatchStopHandle;
    } & Readonly<vue.ExtractPropTypes<{
        gradient: {
            type: vue.PropType<string[]>;
        };
        id: {
            type: StringConstructor;
            default: string;
        };
    }>> & vue.ShallowUnwrapRef<{}> & {} & {} & vue.ComponentCustomProperties;
    __isFragment?: never;
    __isTeleport?: never;
    __isSuspense?: never;
} & vue.ComponentOptionsBase<Readonly<vue.ExtractPropTypes<{
    gradient: {
        type: vue.PropType<string[]>;
    };
    id: {
        type: StringConstructor;
        default: string;
    };
}>>, unknown, unknown, {}, {}, vue.ComponentOptionsMixin, vue.ComponentOptionsMixin, Record<string, any>, string, {
    id: string;
}> & vue.VNodeProps & vue.AllowedComponentProps & vue.ComponentCustomProps & _vue_runtime_core.Plugin;
declare const _default: {
    install: (app: App) => void;
    version: string;
};

export { SparklineBar, SparklineCurve, SparklineGradient, SparklineLine, SparklinePie, Sparklines, _default as default };
